#! /usr/bin/env bash
# Copyright © 2014, 2015 Richard Kettlewell.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
set -e
. ${srcdir:-.}/setup.sh

setup

echo "| old logs should be rejected with --dry-run"
echo "OK: device=device1" > ${WORKSPACE}/logs/1980-01-01-device1-host1-volume1.log
set +e
s ${RSBACKUP} --dry-run --text /dev/null
status=$?
set -e
if [ $status != 1 ]; then
  echo >&2 "FAILED: rsbackup failed to reject old logs"
  exit 1
fi
exists ${WORKSPACE}/logs/1980-01-01-device1-host1-volume1.log
absent ${WORKSPACE}/logs/backups.db

echo "| old logs should be rejected"
set +e
s ${RSBACKUP} --text /dev/null
status=$?
set -e
if [ $status != 1 ]; then
  echo >&2 "FAILED: rsbackup failed to reject old logs"
  exit 1
fi
exists ${WORKSPACE}/logs/1980-01-01-device1-host1-volume1.log
absent ${WORKSPACE}/logs/backups.db

cleanup
